[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.11 Multiline Edit

A multi line edit controls type is "Multiline Edit".

#### Signals

Multi line edit controls send the following signals.

`signalPaste`

  Generated when the clipboard has been pasted.

`signalCopy`

  Generated when the marked area has been copied into the clipboard.

`signalCut`

  Generated when the marked area has been cut into the clipboard.

`signalEnter`

  Generated when the event occured the appends/inserts a new line (usually the Enter key).

`signalRowChanged`

  Generated when the cursor enters a new row.

`signalColChanged`

  Generated when the cursor enters a new column.

`signalLostFocus`

  Generated when the component has lost it's input focus.

#### Attributes

Textboxes publish the following attributes.

`Style`

  The following styles manipulate the appearance of the components frame:

  These styles define what background is used.

`Alpha`

  The alpha of the applied background textures.

`CursorColor`

  This triplet defines the color of the cursor. If not given the skins ``TextForeColor'` is used.

`Font`

  A font name. This font is used to draw the content of this control. It is tried to load it from the systems fontserver. If it fails the default font of AWS is used.

`Bitmap`

  If the style is ``fsBitmap'` then this attribute is used to define the image used as the controls background image.

#### Skin Attributes

Multiline edit controls support the following skin attributes.

`Texture`

  Texture used to draw the components background

`ButtonTextureAlpha`

  The default alpha value used when drawing the background texture.

`TextForeColor`

  The default color used to draw the cursor.

#### Properties

Multiline edit controls publish the following properties.

`Font`

  A font name for a font to use when drawing text. This property is write-only.

`iFont`

  A pointer to an iFont to use when drawing text. This property is write-only.

#### Actions

Multiline edit controls understand the following actions.

`InsertRow`

  Inserts a new string at a specified row position.

#### Input Parameters

Name | Type | Description
`row` | `int` | The row number the new string should become.
`string` | `iString*` | The actual string that will be displayed in the new row.

#### Output Parameters

None.

`DeleteRow`

  Deletes the row at a specified row position.

#### Input Parameters

Name | Type | Description
`row` | `int` | The row to delete.

#### Output Parameters

None.

`ReplaceRow`

  Replaces the text of a specified row.

#### Input Parameters

Name | Type | Description
`row` | `int` | The row that will receive the new text.
`string` | `iString*` | The text that will be displayed in the row.

#### Output Parameters

None.

`GetRow`

  Request the text of a specified row.

#### Input Parameters

Name | Type | Description
`row` | `int` | The row we will request the text from.

#### Output Parameters

Name | Type | Description
``string'` | ``iString'` | The text of the row.

`GetRowCount`

  Returns the number of rows in this edit control.

#### Input Parameters

None.

#### Output Parameters

Name | Type | Description
``count'` | ``int'` | The number of rows in this control.

`Clear`

  Deletes all lines.

#### Input Parameters

None.

#### Output Parameters

None.

`GetText`

  Returns the whole content of the edit control. Lines are concatenated with a linefeed character ``\n'`.

#### Input Parameters

None.

#### Output Parameters

Name | Type | Description
``text'` | ``iString*'` | The content of this edit control. The lines are concatenated with a linefeed character ``\n'`.

`SetText`

  Sets the content of the control.

#### Input Parameters

Name | Type | Description
`text` | `iString*` | Contains the a string that will become the content of control. The string is broken up at linefeeds ``\n'`.

#### Output Parameters

None.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.